Class List Method List File List

# Class: Concurrent::SerializedExecution::Job

Inherits:
  Struct
  - Object
  - Struct
  - Concurrent::SerializedExecution::Job
  show all
Defined in:
  lib/concurrent/executor/serialized_execution.rb

## Instance Attribute Summary (collapse)

- - (Object) args

  Returns the value of attribute args.

- - (Object) block

  Returns the value of attribute block.

- - (Object) executor

  Returns the value of attribute executor.

## Instance Attribute Details

### - (`Object`) args

Returns the value of attribute args

Returns:

- (`Object`) —

  the current value of args

    16
    17
    18

    # File 'lib/concurrent/executor/serialized_execution.rb', line 16

    def args
      @args
    end

### - (`Object`) block

Returns the value of attribute block

Returns:

- (`Object`) —

  the current value of block

    16
    17
    18

    # File 'lib/concurrent/executor/serialized_execution.rb', line 16

    def block
      @block
    end

### - (`Object`) executor

Returns the value of attribute executor

Returns:

- (`Object`) —

  the current value of executor

    16
    17
    18

    # File 'lib/concurrent/executor/serialized_execution.rb', line 16

    def executor
      @executor
    end